__gnu_profile::__vector2list_stack_info Class Reference
Inheritance diagram for __gnu_profile::__vector2list_stack_info:
[legend]

## Public Member Functions

| __vector2list_stack_info (const __vector2list_info &__o)
std::string | __advice () const
bool | __is_valid () const
std::size_t | __iterate ()
float | __list_cost ()
float | __magnitude () const
void | __merge (const __vector2list_info &__o)
void | __merge (const __object_info_base &__o)
void | __opr_insert (std::size_t __pos, std::size_t __num)
void | __opr_iterate (int __num)
std::size_t | __resize ()
void | __resize (std::size_t __from, std::size_t)
void | __set_invalid ()
void | __set_list_cost (float __lc)
void | __set_vector_cost (float __vc)
std::size_t | __shift_count ()
__stack_t | __stack () const
void | __write (FILE *__f) const

## Protected Attributes

__stack_t | _M_stack
bool | _M_valid

## Detailed Description

A vector-to-list instrumentation line in the stack table.

Definition at line 121 of file profiler_vector_to_list.h.

The documentation for this class was generated from the following file:

- profiler_vector_to_list.h